# List a trainee's exercise notes

`GET https://api.coach-platform.com/api/public/trainees/{traineeId}/exercise-notes`

Per-exercise notes and video replies from a trainee's workout logs.

- Resource: Workout Logs
- Authentication: API key in the `Authorization: Bearer cp_live_...` header
- HTML version: https://www.coach-platform.com/docs/api/reference/get-trainees-trainee-id-exercise-notes
- OpenAPI spec: https://www.coach-platform.com/openapi.json

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `traineeId` | string | Yes |   |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `page` | integer | No | Page number (1-based, default 1) Minimum: `1`. |
| `limit` | integer | No | Number of items to return (default 25, max 500) Minimum: `1`. Maximum: `500`. |

## Responses

| Status | Description |
|---|---|
| `200` OK |  |

### 200 OK

Content type: `application/json`

| Field | Type | Description |
|---|---|---|
| `data` | object |   |

Example:

```json
{
  "data": {}
}
```

## Examples

### cURL

```bash
curl --request GET \
  --url 'https://api.coach-platform.com/api/public/trainees/<traineeId>/exercise-notes' \
  --header 'Authorization: Bearer cp_live_...'
```

### JavaScript (fetch)

```js
const response = await fetch('https://api.coach-platform.com/api/public/trainees/<traineeId>/exercise-notes', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer cp_live_...',
  },
});

const data = await response.json();
```

## Related endpoints

- [List workout logs](https://www.coach-platform.com/docs/api/reference/get-workout-logs/index.md): `GET /api/public/workout-logs`. List workout logs for a single trainee.
- Previous: [List workout logs](https://www.coach-platform.com/docs/api/reference/get-workout-logs/index.md): `GET /api/public/workout-logs`. List workout logs for a single trainee.
- Next: [Search the exercise catalog](https://www.coach-platform.com/docs/api/reference/get-exercises/index.md): `GET /api/public/exercises`. Search the exercises catalog (name, muscle group).
